--- Guilder: Healing Assignment Module
-- This module allows the user to assign healing in the raid
-- @class file
-- @name Modules/healers.lua
-- @release 1.0.0

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local Guilder = _G.Guilder
if not Guilder then
	error("Guilder_Healers requires Guilder")
end

--[[ *** LOAD LIBRARIES *** ]]--

local Guilder_Healers = Guilder:NewModule("Healers")
local L = Guilder.L
Guilder_Healers.modName = L["Healers"]

--[[ *** SET UP VARIABLES *** ]]--



--[[ *** DEFAULT SETTINGS *** ]]--

local defaults = {
	profile = {
		maintanks = {},
		offtanks = {},
		healers = {},
		ranged = {},
		melee = {}
	}
}

--[[ *** CONFIGURATION MENU *** ]]--

local options = {
}

--[[ *** MODULE FUNCTIONS *** ]]--

function Guilder_Healers:OnInitialize()
	if Guilder.db.profile.modules["Healers"] == nil then Guilder.db.profile.modules["Healers"] = false end
	self.db = Guilder.db:RegisterNamespace("Healers", defaults)
end

function Guilder_Healers:OnEnable()
end

function Guilder_Healers:OnDisable()
end

function Guilder_Healers:Info()
	return L["Set the healing assignments for the raid"]
end

function Guilder_Healers:DoCommand(sender, msg)
end

function Guilder_Healers:GetCommand()
	return L["heal"]
end

function Guilder_Healers:GetHelp()
	return L["[heal] - whispers you the current healing assignments"]
end

function Guilder_Healers:GetOptions()
	return options
end

--[[ ***  FUNCTIONS *** ]]--

--- 
-- @param
-- @usage
-- @returns
